org.apache.storm.kafka.spout.trident

## Class KafkaTridentSpoutTransactional<K,V>

- java.lang.Object
- - org.apache.storm.kafka.spout.trident.KafkaTridentSpoutTransactional<K,V>

- All Implemented Interfaces:
    Serializable, IPartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>, ITridentDataSource

      public class KafkaTridentSpoutTransactional<K,V>
      extends Object
      implements IPartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.trident.spout.IPartitionedTridentSpout

      `IPartitionedTridentSpout.Coordinator<PartitionsT>, IPartitionedTridentSpout.Emitter<PartitionsT,PartitionT extends ISpoutPartition,X>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaTridentSpoutTransactional(KafkaTridentSpoutConfig<K,V> kafkaSpoutConfig)` Creates a new non-opaque transactional Trident Kafka spout.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getComponentConfiguration()`
    `IPartitionedTridentSpout.Coordinator<List<Map<String,Object>>>` | `getCoordinator(Map<String,Object> conf, TopologyContext context)`
    `IPartitionedTridentSpout.Emitter<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>` | `getEmitter(Map<String,Object> conf, TopologyContext context)`
    `Fields` | `getOutputFields()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaTridentSpoutTransactional

          public KafkaTridentSpoutTransactional(KafkaTridentSpoutConfig<K,V> kafkaSpoutConfig)

      Creates a new non-opaque transactional Trident Kafka spout.

  - ### Method Detail

    - #### getCoordinator

          public IPartitionedTridentSpout.Coordinator<List<Map<String,Object>>> getCoordinator(Map<String,Object> conf,
                                                                                               TopologyContext context)

      Specified by:
        `getCoordinator` in interface `IPartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`

    - #### getEmitter

          public IPartitionedTridentSpout.Emitter<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>> getEmitter(Map<String,Object> conf,
                                                                                                                                          TopologyContext context)

      Specified by:
        `getEmitter` in interface `IPartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`

    - #### getComponentConfiguration

          public Map<String,Object> getComponentConfiguration()

      Specified by:
        `getComponentConfiguration` in interface `IPartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`

    - #### getOutputFields

          public Fields getOutputFields()

      Specified by:
        `getOutputFields` in interface `IPartitionedTridentSpout<List<Map<String,Object>>,KafkaTridentSpoutTopicPartition,Map<String,Object>>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.